#include <octave/oct.h>

#include "RTreeStyleOct.h"
#include "keywords.h"

DEFUN_DLD(RTreeStyle_dispatch, args, nargout, "RTreeStyle_dispatch")
{
  octave_value_list retval;
  std::string method_name = args(0).string_value();

  switch (method_key(method_name))
    {
    case key_json_read:
      {
        octave_value fd = args(1);
        retval.append(RTreeStyleOct::json_read(fd));
      }
      break;

    default:
      error_with_id("RTree:BUG", "unknown method: %s",
                    method_name.c_str());
    }

  return retval;
}
