#ifndef KEYWORDS_H
#define KEYWORDS_H

#include <cstdint>
#include <string>

constexpr std::uint64_t
  key_add_rect = 1,
  key_branching_factor = 2,
  key_branch_size = 3,
  key_bsrt_read = 4,
  key_bsrt_write = 5,
  key_bugreport = 6,
  key_clone = 7,
  key_constructor = 8,
  key_csv_read = 9,
  key_dim = 10,
  key_empty = 11,
  key_height = 12,
  key_identical = 13,
  key_json_write = 14,
  key_json_read = 15,
  key_name = 16,
  key_node_size = 17,
  key_page_size = 18,
  key_postscript = 19,
  key_rect_size = 20,
  key_search = 21,
  key_size = 22,
  key_unit_sphere_volume = 23,
  key_update = 24,
  key_url = 25,
  key_version = 26;

std::uint64_t method_key(const std::string);

#endif
